Skip to main content
POST
Collect Automation Intelligence.

Authorizations

Authorization
string
header
required

Add your Secret API Key to the Authorization header using the standard Bearer format: Authorization: Bearer <secret_api_key>

Body

application/json

HTTP request metadata (including the HTTP method, headers and IP address) sent by you (your server) to the Fingerprint API for IP and bot analysis. To improve accuracy, retain as much of the original semantics of the HTTP request as possible. For example, preserve the order of the request headers and their capitalization. At least one of ipv4_address or ipv6_address must be provided; a request with neither is rejected with a 400 error. If both IPv4 and IPv6 are provided, IP intelligence will be provided for each address. If an IPv4-mapped IPv6 address is provided in the ipv6_address request property, the IP intelligence will be provided in the ipv4_address property of the response.

headers
object[]
required

Ordered header entries from the request made to your server. Each entry represents one header line. If one header name appears as multiple lines, send each as a separate item in the array.

Headers that contain authentication or session data must still be included, but with with their value set to an empty string. This includes headers like Authorization and Cookie, but may contain more depending on your specific project, for instance Proxy-Authenticate or X-Api-Key. Omitting the headers entirely changes the shape of the request and can affect detection. Never forward the real secret values.

Whenever possible, we recommend preserving header order and capitalization to provide the best accuracy, however it’s not a strict requirement if your runtime does not maintain http header order or canonicalizes header names.

Minimum array length: 1
Examples:
method
string
required

The original HTTP method of the request. If supported in your runtime, preserve the original casing.

Examples:

"GET"

"POST"

"PUT"

"PATCH"

"DELETE"

url
string<uri>
required

Absolute URL of the request, without a #fragment suffix. Only HTTP and HTTPS schemes are supported.

Examples:

"http://example.com"

"https://example.com/checkout?method=card"

ipv4_address
string<ipv4>

Client IPv4 address observed by your server.

Examples:

"34.162.244.71"

"3.208.0.3"

"173.56.0.4"

ipv6_address
string<ipv6>

Client IPv6 address observed by your server.

Examples:

"2001:4860:4801:10::1"

"2600:1f42:abcd:5678:9876:fedc:1357:2468"

"2001:4868:85f:1a2b:3c4d:5e6f:7890:abcd"

"::ffff:22a2:f447"

"::ffff:34.162.244.71"

linked_id
string

A customer-provided id that was sent with the request.

Example:

"somelinkedId"

tags
object

A customer-provided value or an object that was sent with the identification request or updated later.

Response

OK.

IP and bot analysis for a request submitted through the Automation Intelligence API.

event_id
string
required

Unique identifier of the user's request. The first portion of the event_id is a unix epoch milliseconds timestamp.

Example:

"1708102555327.NLOjmg"

timestamp
integer<int64>
required

Timestamp of the event with millisecond precision in Unix time.

Example:

1708102555327

ip_info
object
required

Details about the request IP address. Has separate fields for v4 and v6 IP address versions.

source
enum<string>

Identifies how the event was generated.

  • device - the event was generated by the JS agent or a mobile SDK running on an end-user device.
  • edge - the event was generated by the Automation Intelligence API (/edge endpoint), analyzing a request intercepted at the edge.
Available options:
device,
edge
linked_id
string

A customer-provided id that was sent with the request.

Example:

"somelinkedId"

tags
object

A customer-provided value or an object that was sent with the identification request or updated later.

url
string

Page URL from which the request was sent.

Example:

"https://www.example.com/login"

bot_info
object

Extended bot information.

proxy
boolean

IP address was used by a public proxy provider or belonged to a known recent residential proxy

proxy_confidence
enum<string>

Confidence level of the proxy detection. If a proxy is not detected, confidence is "high". If it's detected, can be "low", "medium", or "high".

Available options:
low,
medium,
high
proxy_details
object

Proxy detection details (present if proxy is true)

vpn
boolean

VPN or other anonymizing service has been used when sending the request.

vpn_confidence
enum<string>

A confidence rating for the VPN detection result — "low", "medium", or "high". Depends on the combination of results returned from all VPN detection methods.

Available options:
low,
medium,
high
vpn_methods
object